//builder.sce
//build scicos modnum package for nsp
//28-05-2013 Alan

//def_MODNUMCOS_path()
//Input : nothing
//Output : tt MODNUMCOS path (ex:/home/alan/modnum_3)
function tt=def_MODNUMCOS_path()
  tt=get_current_exec_dir();
  if tt=='' then
    tt=getcwd();
  else
    end_char=part(tt,length(tt));
    if end_char=='/'|end_char=='\' then
      tt=part(tt,1:length(tt)-1);
    end
  end
endfunction

//define MODNUMCOS path
MODNUMCOS=def_MODNUMCOS_path();
clear def_MODNUMCOS_path;

//Version checking
printf("... Version checking ...\n");

//Display Os version
//???
printf("OS is : %s-%s\n","?","?");

//Display Modnum Version
exec(MODNUMCOS+'/macros/build_util/get_modnumcos_version.sci');
ver=get_modnumcos_version();
printf("Version of Modnum is : %s\n",ver);
clear ver;

//Display Nsp Version
//???
printf("Version of Nsp is : %s\n","?");

//Display Scicos Version
printf("Version of Scicos is : ");
ok=execstr('[verscicos,minver]=get_scicos_version()',errcatch=%t);
if ~ok then
  printf("Error : load scicos before building modnum.\n");
  clear ok; clear get_modnumcos_version; clear MODNUMCOS;
  quit;
end
if minver<>'' then
  verscicos=verscicos+'.'+minver;
end
printf("%s\n",verscicos);
clear ok; clear verscicos; clear minver;

//save cur dir
curdir=getcwd();

//build and load macros
chdir(MODNUMCOS+'/macros');

rep=['pll';
     'signal'
     'scicos_overload/nsp'];
for i=1:size(rep,'*')
  add_lib(rep(i),compile=%t);
end
clear rep; clear i;

//Build and load scicos blocks macros
printf("Building scicos blocks macros...\n");

//Build and load macros of scicos_blocks
chdir(MODNUMCOS+'/macros/scicos_blocks');

pal       = ['Communication';
             'Filter';
             'Integer';
             'NonLinear';
             'Pll';
             'Signal';
             'Sinks';
             'Sources';
             'Tools';
             'Old'];

for i=1:size(pal,'*')
  printf(" Building and loading %s macros...",pal(i));
  add_lib(pal(i),compile=%t);
  printf("Done\n");
end
clear pal; clear i;

//Load modnumlib
chdir(MODNUMCOS+'/../../src');
lib_path=file('join',['.','libmodnum_lib'+%shext]);
if ~exists('Id_libmodnumlib') then
  //build modnumlib
  printf("Building modnum_lib C routines...");
  fils = glob('./*.c');
  lisf = [];
  for i=1:size(fils,1)
    lisf=[lisf;file("rootname",file("tail",fils(i)))];
  end
  libnam="modnum_lib";
  cflag="-DWITH_FFTW=1 -DWITH_SCIFFT=0";

  //set LDFLAGS
  if %win32 then
    ldflag='""'+file('join',[getenv('NSP')+"/bin/";'libfftw3-3.lib'])+'"" ';
  else
    ldflag="";
  end
  [libn,ok]=ilib_for_link(lisf,lisf+".o",[],"c",makename="Makelib",loadername="loader.sce",libname=libnam,cflags=cflag,ldflags=ldflag,verbose=%f);
  clear i;clear cflag;clear ldflag;clear lisf;clear fils;clear libnam;clear libn;
  //build successful
  if ok then
    printf("Done\n");
  else
    printf("Build of modnum_lib shared lib failed.\n");
    clear lib_path;clear ok;
    clear get_modnumcos_version; clear MODNUMCOS;
    chdir(curdir);clear curdir;
    quit
  end
  clear ok;
  printf(" Linking modnum_lib shared library...");
  Id_libmodnumlib=link(lib_path);
  printf("Done\n");
end
clear lib_path;

//Build and load scicos C routines
printf("Building scicos blocks C routines...\n");

//def path of routines
path=['/routines/communication';
      '/routines/filter';
      '/routines/integer';
      '/routines/nonlinear';
      '/routines/old';
      '/routines/other';
      '/routines/pll';
      '/routines/signal';
      '/routines/sinks';
      '/routines/sources';
      '/routines/tools'];
//def name of libraries
libnam=["modnum_comm_c";
        "modnum_filt_c";
        "modnum_int_c";
        "modnum_nlin_c";
        "modnum_old_c";
        "modnum_oth_c";
        "modnum_pll_c";
        "modnum_signal_c";
        "modnum_sink_c";
        "modnum_src_c";
        "modnum_tool_c"];

//set LDFLAGS
if %win32 then
  ldflag='""'+file('join',[MODNUMCOS+"/../../src";'libmodnum_lib.lib'])+'"" '+...
         '""'+file('join',[get_scicospath();'src';'libscicos.lib'])+'"" ';
else
  ldflag="";
end

//set CFLAGS
cflag="-I"""+MODNUMCOS+"/../../src"" -c -DWITH_NSPSRC=1 -DWITH_FFTW=1";
//loop on number of libraries
for i=1:size(libnam,1)
  lisf = [];
  if libnam(i)=="modnum_sink_c" then
    fils    = glob(MODNUMCOS+path(i)+'/*_nsp.c');
    for j=1:size(fils,1)
      lisf=[lisf;file("rootname",file("tail",fils(j)))];
    end
    entries = strsubst(lisf,"_nsp","");
  else
    fils    = glob(MODNUMCOS+path(i)+'/*.c');
    for j=1:size(fils,1)
      lisf=[lisf;file("rootname",file("tail",fils(j)))];
    end
    entries = lisf;
  end

  //ulink library if needed
  //we check only the first entry point
  [rep,idr]=c_link(entries(1));
  if rep then ulink(idr), end
  chdir(MODNUMCOS+path(i));
  printf(" Building and loading %s...",libnam(i));
  [libn,ok]=ilib_for_link(entries,lisf+".o",[],"c",makename="Makelib",loadername="loader.sce",libname=libnam(i),cflags=cflag,ldflags=ldflag,verbose=%f);
  if ~ok then
    printf(" Build of "+libnam(i)+"shared lib failed.\n");
    clear MODNUMCOS; clear get_modnumcos_version;
    clear rep; clear idr; clear libn; clear ok; clear str;
    clear path; clear libnam; clear cflag; clear ldflag;
    clear fils; clear lisf; clear i; clear j; clear entries;
    chdir(curdir);
    clear curdir;
    quit
  end
  str='Id_lib'+libnam(i)+'=link('''+libn+''',['''+catenate(entries,sep="'',''")+'''])';
  execstr(str);
  printf("Done\n");
end

//tag modnum libraries as external scicos libraries
if exists('%scicos_libs') then
  libs=file('join',[MODNUMCOS,'../../src','libmodnum_lib'+%shext])
  for i=1:size(libnam,1)
    libs=[libs,file('join',[MODNUMCOS+path(i),'lib'+libnam(i)+%shext])];
  end
  //disable (scicos bug)
  //for i=1:size(libs,2)
  //  if isempty(find(%scicos_libs==libs(i))) then
  //    %scicos_libs=[%scicos_libs,libs(i)];
  //  end
  //end
end

//declare list of scopes for scicos codegenerator
scoplst=['eye_scope'       'ipar(1)';
         'vectorscopexy41' 'ipar(1)';
         'pspec_scope'     'ipar(9)';
         'vectorscope41'   'ipar(1)'];
if exists('list_of_scopes') then
  for i=1:size(scoplst,1)
    if isempty(find(scoplst(i,1)==list_of_scopes(:,1))) then
      list_of_scopes=[list_of_scopes;scoplst(i,:)];
    end
  end
else
  list_of_scopes=scoplst;
end

//generate a loader file
printf("Generating a loader.sce file...");
chdir(MODNUMCOS);
path="/macros/scicos_overload/nsp";
exec(MODNUMCOS+path+'/generate_loader.sce');
printf("Done\n");

chdir(curdir);

clear rep; clear idr; clear libn; clear ok; clear str;
clear path; clear libnam; clear cflag; clear ldflag;
clear fils; clear lisf; clear i; clear j; clear entries;
clear curdir; clear libs; clear scoplst;

//load palettes and menu
printf("Pluging Scicos with palettes, menus and help pages...");
exec(MODNUMCOS+'/macros'+'/scicos_overload/nsp'+'/load_scicos_modnum.sce');
printf("Done\n");
