; -- modnum.iss --
;
; This a modnum.iss for Inno Setup
; modnum-4.3b
; 5-Jun-2013
; Author : A. Layec

[Setup]
AppName=Modnum
AppVerName=Modnum 4.3b
DefaultDirName={userdocs}\modnum_43b
DefaultGroupName=Modnum 4.3b
UsePreviousAppDir=no
UsePreviousGroup=no
UsePreviousSetupType=no
DirExistsWarning=yes
OutputDir=..
OutputBaseFilename=modnum_43b_nsp_bin
Compression=lzma
SolidCompression=yes

[Icons]
Name: {group}\Readme; Filename: {app}\Readme_en.txt; Languages: en
Name: {group}\Documentation; Filename: {app}\interf\scicos\help\eng\htm\whatis.htm; Languages: en
Name: {group}\Web site; Filename: http://www.scicos.org/ScicosModNum/modnum_web/web/eng/eng.htm; Languages: en
Name: {group}\Uninstall Modnum; Filename: {uninstallexe}; Languages: en
Name: {group}\Lisez-moi; Filename: {app}\Readme_fr.txt; Languages: fr
Name: {group}\Documentation; Filename: {app}\interf\scicos\help\fr\htm\whatis.htm; Languages: fr
Name: {group}\Site web; Filename: http://www.scicos.org/ScicosModNum/modnum_web/web/fr/fr.htm; Languages: fr
Name: {group}\Dsintallez Modnum; Filename: {uninstallexe}; Languages: fr

[Languages]
Name: en; MessagesFile: compiler:Default.isl
Name: fr; MessagesFile: compiler:Languages\French.isl

[Types]
Name: default; Description: Default installation; Languages: en
Name: default; Description: Installation par dfaut; Languages: fr

Name: compact; Description: Compact installation; Languages: en
Name: compact; Description: Installation compacte; Languages: fr

Name: source; Description: Source only; Languages: en
Name: source; Description: Sources seulement; Languages: fr

Name: custom; Description: Custom installation; Flags: iscustom

[Components]
; Modnumlib
Name: modnumlib; Description: Librairie Modnum; Types: default; Languages: fr
Name: modnumlib; Description: Modnum library; Types: default; Languages: en
; Binaries Modnumlib
Name: modnumlib\binary; Description: Fichiers binaires; Types: default compact; Languages: fr
Name: modnumlib\binary; Description: Binaries files; Types: default compact; Languages: en
; Sources Modnumlib
Name: modnumlib\source; Description: Source Files; Types: default source; Languages: en
Name: modnumlib\source; Description: Fichers sources; Types: default source; Languages: fr

; Scicos
Name: scicos; Description: Blocs Scicos; Types: default; Languages: fr
Name: scicos; Description: Scicos blockset; Types: default; Languages: en
; Scicos diagrams
Name: scicos\diagr; Description: Diagrammes; Types: default; Languages: fr
Name: scicos\diagr; Description: Diagrams; Types: default; Languages: en
; Scicos Binaries
Name: scicos\binary; Description: Fichiers binaires; Types: default compact; Languages: fr
Name: scicos\binary; Description: Binaries files; Types: default compact; Languages: en
; Scicos Sources
Name: scicos\source; Description: Source Files; Types: default source; Languages: en
Name: scicos\source; Description: Fichers sources; Types: default source; Languages: fr
; Scicos Help
Name: scicos\help; Description: Fichiers d'aides; Types: default; Languages: fr
Name: scicos\help\fr; Description: Franais; Types: default; Languages: fr
Name: scicos\help\en; Description: Anglais; Types: default compact; Languages: fr
Name: scicos\help; Description: Help files; Types: default; Languages: en
Name: scicos\help\en; Description: English; Types: default compact; Languages: en
Name: scicos\help\fr; Description: French; Types: default; Languages: en

; Nsp
Name: nsp; Description: Interfaces Nsp; Types: default compact; Languages: fr
Name: nsp; Description: Nsp Gateway; Types: default compact; Languages: en
; Nsp exemples
Name: nsp\ex; Description: Exemples; Types: default; Languages: fr
Name: nsp\ex; Description: Examples; Types: default; Languages: en
; Nsp help
Name: nsp\help; Description: Fichiers d'aides; Types: default; Languages: fr
Name: nsp\help; Description: Help files; Types: default; Languages: en


[Files]
; README
Source: Readme_en.txt; DestDir: {app}; Languages: en; Flags: isreadme
Source: Readme_fr.txt; DestDir: {app}; Languages: fr; Flags: isreadme
Source: Version.txt; DestDir: {app}; Flags: isreadme

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; permanent files

; readme files
Source : Readme_en.txt; DestDir: {app}
Source : Readme_fr.txt; DestDir: {app}
Source : Version.txt; DestDir: {app}

;;;;;;;;;;
;;Scicos;;
;;;;;;;;;;

; gif icons
; add gif icons by default with source (because we can't do it under windows)
; Source : interf\scicos\gif_icons\*.gif; DestDir: {app}\interf\scicos\gif_icons; Components: scicos
; png icons
Source : interf\scicos\png_icons\*.png; DestDir: {app}\interf\scicos\png_icons; Components: scicos

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; source files

;;;;;;;;;;;;;
;;Modnumlib;;
;;;;;;;;;;;;;
; files for building
Source : Makefile.am; DestDir: {app}; Components: modnumlib\source
Source : Makefile.in; DestDir: {app}; Components: modnumlib\source
Source : configure; DestDir: {app}; Components: modnumlib\source
Source : configure.ac; DestDir: {app}; Components: modnumlib\source
Source : config.h; DestDir: {app}; Components: modnumlib\source
Source : config.h.in; DestDir: {app}; Components: modnumlib\source
Source : config\*.*; DestDir: {app}\config; Components: modnumlib\source
Source : src\Makefile.am; DestDir: {app}\src; Components: modnumlib\source
Source : src\Makefile.in; DestDir: {app}\src; Components: modnumlib\source
; C files
Source : src\*.c; DestDir: {app}\src; Components: modnumlib\source
Source : src\*.h; DestDir: {app}\src; Components: modnumlib\source
; binary files
Source : loader.sce; DestDir: {app}; Components: modnumlib\binary
Source : src\*.dll; DestDir: {app}\src; Components: modnumlib\binary
Source : src\*.def; DestDir: {app}\src; Components: modnumlib\binary
Source : src\*.lib; DestDir: {app}\src; Components: modnumlib\binary
Source : src\*.a; DestDir: {app}\src; Components: modnumlib\binary
;Source : src\loader.sce; DestDir: {app}\src; Components: modnumlib\binary

;;;;;;;;;;;;;
;;Nsp;;
;;;;;;;;;;;;;
; files for building
Source : builder_nsp.sce; DestDir: {app}; Components: nsp
Source : config.h; DestDir: {app}; Components: nsp
Source : interf\nsp\builder_nsp.sce; DestDir: {app}\interf\nsp\; Components: nsp
Source : interf\nsp\Makefile.*; DestDir: {app}\interf\nsp\; Components: nsp
Source : interf\nsp\gateway\Makefile.*; DestDir: {app}\interf\nsp\gateway; Components: nsp
; macros files
Source : interf\nsp\macros\build_util\*.sci; DestDir: {app}\interf\nsp\macros\build_util; Components: nsp
Source : interf\nsp\macros\build_util\*.sce; DestDir: {app}\interf\nsp\macros\build_util; Components: nsp
; C files
Source : interf\nsp\gateway\*.c; DestDir: {app}\interf\nsp\gateway; Components: nsp

;;;;;;;;;;
;;Scicos;;
;;;;;;;;;;
; files for building
Source : builder_nsp.sce; DestDir: {app}; Components: scicos\source
Source : config.h; DestDir: {app}; Components: scicos\source
Source : interf\scicos\builder_nsp.sce; DestDir: {app}\interf\scicos\; Components: scicos\source
Source : interf\scicos\Makefile.*; DestDir: {app}\interf\scicos\; Components: scicos\source

Source : interf\scicos\macros\Makefile.*; DestDir: {app}\interf\scicos\macros; Components: scicos\source
Source : interf\scicos\macros\build_util\Makefile.*; DestDir: {app}\interf\scicos\macros\build_util; Components: scicos\source
Source : interf\scicos\macros\pll\Makefile.*; DestDir: {app}\interf\scicos\macros\pll; Components: scicos\source
Source : interf\scicos\macros\scicos_blocks\Communication\Makefile.*; DestDir: {app}\interf\scicos\macros\scicos_blocks\Communication; Components: scicos\source
Source : interf\scicos\macros\scicos_blocks\Filter\Makefile.*; DestDir: {app}\interf\scicos\macros\scicos_blocks\Filter; Components: scicos\source
Source : interf\scicos\macros\scicos_blocks\Integer\Makefile.*; DestDir: {app}\interf\scicos\macros\scicos_blocks\Integer; Components: scicos\source
Source : interf\scicos\macros\scicos_blocks\NonLinear\Makefile.*; DestDir: {app}\interf\scicos\macros\scicos_blocks\NonLinear; Components: scicos\source
Source : interf\scicos\macros\scicos_blocks\Old\Makefile.*; DestDir: {app}\interf\scicos\macros\scicos_blocks\Old; Components: scicos\source
Source : interf\scicos\macros\scicos_blocks\Pll\Makefile.*; DestDir: {app}\interf\scicos\macros\scicos_blocks\Pll; Components: scicos\source
Source : interf\scicos\macros\scicos_blocks\Signal\Makefile.*; DestDir: {app}\interf\scicos\macros\scicos_blocks\Signal; Components: scicos\source
Source : interf\scicos\macros\scicos_blocks\Sinks\Makefile.*; DestDir: {app}\interf\scicos\macros\scicos_blocks\Sinks; Components: scicos\source
Source : interf\scicos\macros\scicos_blocks\Sources\Makefile.*; DestDir: {app}\interf\scicos\macros\scicos_blocks\Sources; Components: scicos\source
Source : interf\scicos\macros\scicos_blocks\Tools\Makefile.*; DestDir: {app}\interf\scicos\macros\scicos_blocks\Tools; Components: scicos\source
Source : interf\scicos\macros\scicos_util\Makefile.*; DestDir: {app}\interf\scicos\macros\scicos_util; Components: scicos\source
Source : interf\scicos\macros\scicos_overload\Makefile.*; DestDir: {app}\interf\scicos\macros\scicos_overload; Components: scicos\source
Source : interf\scicos\macros\scicos_overload\nsp\Makefile.*; DestDir: {app}\interf\scicos\macros\scicos_overload\nsp; Components: scicos\source
Source : interf\scicos\macros\signal\Makefile.*; DestDir: {app}\interf\scicos\macros\signal; Components: scicos\source

Source : interf\scicos\routines\Makefile.*; DestDir: {app}\interf\scicos\routines; Components: scicos\source
Source : interf\scicos\routines\communication\Makefile.*; DestDir: {app}\interf\scicos\routines\communication; Components: scicos\source
Source : interf\scicos\routines\filter\Makefile.*; DestDir: {app}\interf\scicos\routines\filter; Components: scicos\source
Source : interf\scicos\routines\integer\Makefile.*; DestDir: {app}\interf\scicos\routines\integer; Components: scicos\source
Source : interf\scicos\routines\nonlinear\Makefile.*; DestDir: {app}\interf\scicos\routines\nonlinear; Components: scicos\source
Source : interf\scicos\routines\old\Makefile.*; DestDir: {app}\interf\scicos\routines\old; Components: scicos\source
Source : interf\scicos\routines\other\Makefile.*; DestDir: {app}\interf\scicos\routines\other; Components: scicos\source
Source : interf\scicos\routines\pll\Makefile.*; DestDir: {app}\interf\scicos\routines\pll; Components: scicos\source
Source : interf\scicos\routines\signal\Makefile.*; DestDir: {app}\interf\scicos\routines\signal; Components: scicos\source
Source : interf\scicos\routines\sinks\Makefile.*; DestDir: {app}\interf\scicos\routines\sinks; Components: scicos\source
Source : interf\scicos\routines\sources\Makefile.*; DestDir: {app}\interf\scicos\routines\sources; Components: scicos\source
Source : interf\scicos\routines\tools\Makefile.*; DestDir: {app}\interf\scicos\routines\tools; Components: scicos\source

; macros files
Source : interf\scicos\macros\build_util\*.sci; DestDir: {app}\interf\scicos\macros\build_util; Components: scicos\source
Source : interf\scicos\macros\pll\*.sci; DestDir: {app}\interf\scicos\macros\pll; Components: scicos\source
Source : interf\scicos\macros\scicos_blocks\Communication\*.sci; DestDir: {app}\interf\scicos\macros\scicos_blocks\Communication; Components: scicos\source
Source : interf\scicos\macros\scicos_blocks\Filter\*.sci; DestDir: {app}\interf\scicos\macros\scicos_blocks\Filter; Components: scicos\source
Source : interf\scicos\macros\scicos_blocks\Integer\*.sci; DestDir: {app}\interf\scicos\macros\scicos_blocks\Integer; Components: scicos\source
Source : interf\scicos\macros\scicos_blocks\NonLinear\*.sci; DestDir: {app}\interf\scicos\macros\scicos_blocks\NonLinear; Components: scicos\source
Source : interf\scicos\macros\scicos_blocks\Old\*.sci; DestDir: {app}\interf\scicos\macros\scicos_blocks\Old; Components: scicos\source
Source : interf\scicos\macros\scicos_blocks\Pll\*.sci; DestDir: {app}\interf\scicos\macros\scicos_blocks\Pll; Components: scicos\source
Source : interf\scicos\macros\scicos_blocks\Signal\*.sci; DestDir: {app}\interf\scicos\macros\scicos_blocks\Signal; Components: scicos\source
Source : interf\scicos\macros\scicos_blocks\Sinks\*.sci; DestDir: {app}\interf\scicos\macros\scicos_blocks\Sinks; Components: scicos\source
Source : interf\scicos\macros\scicos_blocks\Sources\*.sci; DestDir: {app}\interf\scicos\macros\scicos_blocks\Sources; Components: scicos\source
Source : interf\scicos\macros\scicos_blocks\Tools\*.sci; DestDir: {app}\interf\scicos\macros\scicos_blocks\Tools; Components: scicos\source
Source : interf\scicos\macros\scicos_util\*.sci; DestDir: {app}\interf\scicos\macros\scicos_util; Components: scicos\source
Source : interf\scicos\macros\scicos_overload\nsp\*.sci; DestDir: {app}\interf\scicos\macros\scicos_overload\nsp; Components: scicos\source
Source : interf\scicos\macros\scicos_overload\nsp\*.sce; DestDir: {app}\interf\scicos\macros\scicos_overload\nsp; Components: scicos\source
Source : interf\scicos\macros\signal\*.sci; DestDir: {app}\interf\scicos\macros\signal; Components: scicos\source
; C files
Source : interf\scicos\routines\communication\*.c; DestDir: {app}\interf\scicos\routines\communication; Components: scicos\source
Source : interf\scicos\routines\filter\*.c; DestDir: {app}\interf\scicos\routines\filter; Components: scicos\source
Source : interf\scicos\routines\integer\*.c; DestDir: {app}\interf\scicos\routines\integer; Components: scicos\source
Source : interf\scicos\routines\nonlinear\*.c; DestDir: {app}\interf\scicos\routines\nonlinear; Components: scicos\source
Source : interf\scicos\routines\old\*.c; DestDir: {app}\interf\scicos\routines\old; Components: scicos\source
Source : interf\scicos\routines\other\*.c; DestDir: {app}\interf\scicos\routines\other; Components: scicos\source
Source : interf\scicos\routines\pll\*.c; DestDir: {app}\interf\scicos\routines\pll; Components: scicos\source
Source : interf\scicos\routines\signal\*.c; DestDir: {app}\interf\scicos\routines\signal; Components: scicos\source
Source : interf\scicos\routines\sinks\*.c; DestDir: {app}\interf\scicos\routines\sinks; Components: scicos\source
Source : interf\scicos\routines\sources\*.c; DestDir: {app}\interf\scicos\routines\sources; Components: scicos\source
Source : interf\scicos\routines\tools\*.c; DestDir: {app}\interf\scicos\routines\tools; Components: scicos\source

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

; binary files
;;;;;;;;;;
;;Scicos;;
;;;;;;;;;;
Source : interf\scicos\loader.sce; DestDir: {app}\interf\scicos; Components: scicos\binary
;Source : interf\scicos\macros\build_util\*.bin; DestDir: {app}\interf\scicos\macros\build_util; Components: scicos\binary
Source : interf\scicos\macros\pll\*.bin; DestDir: {app}\interf\scicos\macros\pll; Components: scicos\binary
Source : interf\scicos\macros\scicos_blocks\Communication\*.bin; DestDir: {app}\interf\scicos\macros\scicos_blocks\Communication; Components: scicos\binary
Source : interf\scicos\macros\scicos_blocks\Filter\*.bin; DestDir: {app}\interf\scicos\macros\scicos_blocks\Filter; Components: scicos\binary
Source : interf\scicos\macros\scicos_blocks\Integer\*.bin; DestDir: {app}\interf\scicos\macros\scicos_blocks\Integer; Components: scicos\binary
Source : interf\scicos\macros\scicos_blocks\NonLinear\*.bin; DestDir: {app}\interf\scicos\macros\scicos_blocks\NonLinear; Components: scicos\binary
Source : interf\scicos\macros\scicos_blocks\Old\*.bin; DestDir: {app}\interf\scicos\macros\scicos_blocks\Old; Components: scicos\binary
Source : interf\scicos\macros\scicos_blocks\Pll\*.bin; DestDir: {app}\interf\scicos\macros\scicos_blocks\Pll; Components: scicos\binary
Source : interf\scicos\macros\scicos_blocks\Signal\*.bin; DestDir: {app}\interf\scicos\macros\scicos_blocks\Signal; Components: scicos\binary
Source : interf\scicos\macros\scicos_blocks\Sinks\*.bin; DestDir: {app}\interf\scicos\macros\scicos_blocks\Sinks; Components: scicos\binary
Source : interf\scicos\macros\scicos_blocks\Sources\*.bin; DestDir: {app}\interf\scicos\macros\scicos_blocks\Sources; Components: scicos\binary
Source : interf\scicos\macros\scicos_blocks\Tools\*.bin; DestDir: {app}\interf\scicos\macros\scicos_blocks\Tools; Components: scicos\binary
;Source : interf\scicos\macros\scicos_util\*.bin; DestDir: {app}\interf\scicos\macros\scicos_util; Components: scicos\binary
Source : interf\scicos\macros\scicos_overload\nsp\*.bin; DestDir: {app}\interf\scicos\macros\scicos_overload\nsp; Components: scicos\binary
Source : interf\scicos\macros\signal\*.bin; DestDir: {app}\interf\scicos\macros\signal; Components: scicos\binary

;Source : interf\scicos\macros\build_util\lib; DestDir: {app}\interf\scicos\macros\build_util; Components: scicos\binary
;Source : interf\scicos\macros\pll\lib; DestDir: {app}\interf\scicos\macros\pll; Components: scicos\binary
;Source : interf\scicos\macros\scicos_blocks\Communication\lib; DestDir: {app}\interf\scicos\macros\scicos_blocks\Communication; Components: scicos\binary
;Source : interf\scicos\macros\scicos_blocks\Filter\lib; DestDir: {app}\interf\scicos\macros\scicos_blocks\Filter; Components: scicos\binary
;Source : interf\scicos\macros\scicos_blocks\Integer\lib; DestDir: {app}\interf\scicos\macros\scicos_blocks\Integer; Components: scicos\binary
;Source : interf\scicos\macros\scicos_blocks\NonLinear\lib; DestDir: {app}\interf\scicos\macros\scicos_blocks\NonLinear; Components: scicos\binary
;Source : interf\scicos\macros\scicos_blocks\Old\lib; DestDir: {app}\interf\scicos\macros\scicos_blocks\Old; Components: scicos\binary
;Source : interf\scicos\macros\scicos_blocks\Pll\lib; DestDir: {app}\interf\scicos\macros\scicos_blocks\Pll; Components: scicos\binary
;Source : interf\scicos\macros\scicos_blocks\Signal\lib; DestDir: {app}\interf\scicos\macros\scicos_blocks\Signal; Components: scicos\binary
;Source : interf\scicos\macros\scicos_blocks\Sinks\lib; DestDir: {app}\interf\scicos\macros\scicos_blocks\Sinks; Components: scicos\binary
;Source : interf\scicos\macros\scicos_blocks\Sources\lib; DestDir: {app}\interf\scicos\macros\scicos_blocks\Sources; Components: scicos\binary
;Source : interf\scicos\macros\scicos_blocks\Tools\lib; DestDir: {app}\interf\scicos\macros\scicos_blocks\Tools; Components: scicos\binary
;Source : interf\scicos\macros\scicos_util\lib; DestDir: {app}\interf\scicos\macros\scicos_util; Components: scicos\binary
;Source : interf\scicos\macros\scicos_overload\scicoslab\lib; DestDir: {app}\interf\scicos\macros\scicos_overload\scicoslab; Components: scicos\binary
;Source : interf\scicos\macros\signal\lib; DestDir: {app}\interf\scicos\macros\signal; Components: scicos\binary
;Source : interf\scicos\macros\build_util\names; DestDir: {app}\interf\scicos\macros\build_util; Components: scicos\binary
;Source : interf\scicos\macros\pll\names; DestDir: {app}\interf\scicos\macros\pll; Components: scicos\binary
;Source : interf\scicos\macros\scicos_blocks\Communication\names; DestDir: {app}\interf\scicos\macros\scicos_blocks\Communication; Components: scicos\binary
;Source : interf\scicos\macros\scicos_blocks\Filter\names; DestDir: {app}\interf\scicos\macros\scicos_blocks\Filter; Components: scicos\binary
;Source : interf\scicos\macros\scicos_blocks\Integer\names; DestDir: {app}\interf\scicos\macros\scicos_blocks\Integer; Components: scicos\binary
;Source : interf\scicos\macros\scicos_blocks\NonLinear\names; DestDir: {app}\interf\scicos\macros\scicos_blocks\NonLinear; Components: scicos\binary
;Source : interf\scicos\macros\scicos_blocks\Old\names; DestDir: {app}\interf\scicos\macros\scicos_blocks\Old; Components: scicos\binary
;Source : interf\scicos\macros\scicos_blocks\Pll\names; DestDir: {app}\interf\scicos\macros\scicos_blocks\Pll; Components: scicos\binary
;Source : interf\scicos\macros\scicos_blocks\Signal\names; DestDir: {app}\interf\scicos\macros\scicos_blocks\Signal; Components: scicos\binary
;Source : interf\scicos\macros\scicos_blocks\Sinks\names; DestDir: {app}\interf\scicos\macros\scicos_blocks\Sinks; Components: scicos\binary
;Source : interf\scicos\macros\scicos_blocks\Sources\names; DestDir: {app}\interf\scicos\macros\scicos_blocks\Sources; Components: scicos\binary
;Source : interf\scicos\macros\scicos_blocks\Tools\names; DestDir: {app}\interf\scicos\macros\scicos_blocks\Tools; Components: scicos\binary
;Source : interf\scicos\macros\scicos_util\names; DestDir: {app}\interf\scicos\macros\scicos_util; Components: scicos\binary
;Source : interf\scicos\macros\scicos_overload\scicoslab\names; DestDir: {app}\interf\scicos\macros\scicos_overload\scicoslab; Components: scicos\binary
;Source : interf\scicos\macros\signal\names; DestDir: {app}\interf\scicos\macros\signal; Components: scicos\binary

Source : interf\scicos\routines\communication\*.dll; DestDir: {app}\interf\scicos\routines\communication; Components: scicos\binary
Source : interf\scicos\routines\filter\*.dll; DestDir: {app}\interf\scicos\routines\filter; Components: scicos\binary
Source : interf\scicos\routines\integer\*.dll; DestDir: {app}\interf\scicos\routines\integer; Components: scicos\binary
Source : interf\scicos\routines\nonlinear\*.dll; DestDir: {app}\interf\scicos\routines\nonlinear; Components: scicos\binary
Source : interf\scicos\routines\old\*.dll; DestDir: {app}\interf\scicos\routines\old; Components: scicos\binary
Source : interf\scicos\routines\other\*.dll; DestDir: {app}\interf\scicos\routines\other; Components: scicos\binary
Source : interf\scicos\routines\pll\*.dll; DestDir: {app}\interf\scicos\routines\pll; Components: scicos\binary
Source : interf\scicos\routines\signal\*.dll; DestDir: {app}\interf\scicos\routines\signal; Components: scicos\binary
Source : interf\scicos\routines\sinks\*.dll; DestDir: {app}\interf\scicos\routines\sinks; Components: scicos\binary
Source : interf\scicos\routines\sources\*.dll; DestDir: {app}\interf\scicos\routines\sources; Components: scicos\binary
Source : interf\scicos\routines\tools\*.dll; DestDir: {app}\interf\scicos\routines\tools; Components: scicos\binary
Source : interf\scicos\routines\communication\*.def; DestDir: {app}\interf\scicos\routines\communication; Components: scicos\binary
Source : interf\scicos\routines\filter\*.def; DestDir: {app}\interf\scicos\routines\filter; Components: scicos\binary
Source : interf\scicos\routines\integer\*.def; DestDir: {app}\interf\scicos\routines\integer; Components: scicos\binary
Source : interf\scicos\routines\nonlinear\*.def; DestDir: {app}\interf\scicos\routines\nonlinear; Components: scicos\binary
Source : interf\scicos\routines\old\*.def; DestDir: {app}\interf\scicos\routines\old; Components: scicos\binary
Source : interf\scicos\routines\other\*.def; DestDir: {app}\interf\scicos\routines\other; Components: scicos\binary
Source : interf\scicos\routines\pll\*.def; DestDir: {app}\interf\scicos\routines\pll; Components: scicos\binary
Source : interf\scicos\routines\signal\*.def; DestDir: {app}\interf\scicos\routines\signal; Components: scicos\binary
Source : interf\scicos\routines\sinks\*.def; DestDir: {app}\interf\scicos\routines\sinks; Components: scicos\binary
Source : interf\scicos\routines\sources\*.def; DestDir: {app}\interf\scicos\routines\sources; Components: scicos\binary
Source : interf\scicos\routines\tools\*.def; DestDir: {app}\interf\scicos\routines\tools; Components: scicos\binary
Source : interf\scicos\routines\communication\*.lib; DestDir: {app}\interf\scicos\routines\communication; Components: scicos\binary
Source : interf\scicos\routines\filter\*.lib; DestDir: {app}\interf\scicos\routines\filter; Components: scicos\binary
Source : interf\scicos\routines\integer\*.lib; DestDir: {app}\interf\scicos\routines\integer; Components: scicos\binary
Source : interf\scicos\routines\nonlinear\*.lib; DestDir: {app}\interf\scicos\routines\nonlinear; Components: scicos\binary
Source : interf\scicos\routines\old\*.lib; DestDir: {app}\interf\scicos\routines\old; Components: scicos\binary
Source : interf\scicos\routines\other\*.lib; DestDir: {app}\interf\scicos\routines\other; Components: scicos\binary
Source : interf\scicos\routines\pll\*.lib; DestDir: {app}\interf\scicos\routines\pll; Components: scicos\binary
Source : interf\scicos\routines\signal\*.lib; DestDir: {app}\interf\scicos\routines\signal; Components: scicos\binary
Source : interf\scicos\routines\sinks\*.lib; DestDir: {app}\interf\scicos\routines\sinks; Components: scicos\binary
Source : interf\scicos\routines\sources\*.lib; DestDir: {app}\interf\scicos\routines\sources; Components: scicos\binary
Source : interf\scicos\routines\tools\*.lib; DestDir: {app}\interf\scicos\routines\tools; Components: scicos\binary

Source : interf\scicos\routines\communication\*.a; DestDir: {app}\interf\scicos\routines\communication; Components: scicos\binary
Source : interf\scicos\routines\filter\*.a; DestDir: {app}\interf\scicos\routines\filter; Components: scicos\binary
Source : interf\scicos\routines\integer\*.a; DestDir: {app}\interf\scicos\routines\integer; Components: scicos\binary
Source : interf\scicos\routines\nonlinear\*.a; DestDir: {app}\interf\scicos\routines\nonlinear; Components: scicos\binary
Source : interf\scicos\routines\old\*.a; DestDir: {app}\interf\scicos\routines\old; Components: scicos\binary
Source : interf\scicos\routines\other\*.a; DestDir: {app}\interf\scicos\routines\other; Components: scicos\binary
Source : interf\scicos\routines\pll\*.a; DestDir: {app}\interf\scicos\routines\pll; Components: scicos\binary
Source : interf\scicos\routines\signal\*.a; DestDir: {app}\interf\scicos\routines\signal; Components: scicos\binary
Source : interf\scicos\routines\sinks\*.a; DestDir: {app}\interf\scicos\routines\sinks; Components: scicos\binary
Source : interf\scicos\routines\sources\*.a; DestDir: {app}\interf\scicos\routines\sources; Components: scicos\binary
Source : interf\scicos\routines\tools\*.a; DestDir: {app}\interf\scicos\routines\tools; Components: scicos\binary

;Source : interf\scicos\routines\communication\loader.sce; DestDir: {app}\interf\scicos\routines\communication; Components: scicos\binary
;Source : interf\scicos\routines\filter\loader.sce; DestDir: {app}\interf\scicos\routines\filter; Components: scicos\binary
;Source : interf\scicos\routines\integer\loader.sce; DestDir: {app}\interf\scicos\routines\integer; Components: scicos\binary
;Source : interf\scicos\routines\nonlinear\loader.sce; DestDir: {app}\interf\scicos\routines\nonlinear; Components: scicos\binary
;Source : interf\scicos\routines\old\loader.sce; DestDir: {app}\interf\scicos\routines\old; Components: scicos\binary
;Source : interf\scicos\routines\other\loader.sce; DestDir: {app}\interf\scicos\routines\other; Components: scicos\binary
;Source : interf\scicos\routines\pll\loader.sce; DestDir: {app}\interf\scicos\routines\pll; Components: scicos\binary
;Source : interf\scicos\routines\sinks\loader.sce; DestDir: {app}\interf\scicos\routines\sinks; Components: scicos\binary
;Source : interf\scicos\routines\sources\loader.sce; DestDir: {app}\interf\scicos\routines\sources; Components: scicos\binary
;Source : interf\scicos\routines\tools\loader.sce; DestDir: {app}\interf\scicos\routines\tools; Components: scicos\binary

;;;;;;;;;;;;;
;;Nsp;;
;;;;;;;;;;;;;
Source : interf\nsp\loader.sce; DestDir: {app}\interf\nsp; Components: nsp
;Source : interf\nsp\macros\build_util\*.bin; DestDir: {app}\interf\nsp\macros\build_util; Components: nsp
Source : interf\nsp\gateway\*.dll; DestDir: {app}\interf\nsp\gateway; Components: nsp
Source : interf\nsp\gateway\*.a; DestDir: {app}\interf\nsp\gateway; Components: nsp
Source : interf\nsp\gateway\*.lib; DestDir: {app}\interf\nsp\gateway; Components: nsp
Source : interf\nsp\gateway\*.def; DestDir: {app}\interf\nsp\gateway; Components: nsp

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; help files

;;;;;;;;;;
;;Scicos;;
;;;;;;;;;;
Source : interf\scicos\help\images\*.gif; DestDir: {app}\interf\scicos\help\images; Components: scicos\help
; help files en
Source : interf\scicos\help\eng\xml\*.xml; DestDir: {app}\interf\scicos\help\eng\xml; Components: scicos\help\en
Source : interf\scicos\help\eng\htm\*.htm; DestDir: {app}\interf\scicos\help\eng\htm; Components: scicos\help\en
; help files fr
Source : interf\scicos\help\fr\xml\*.xml; DestDir: {app}\interf\scicos\help\fr\xml; Components: scicos\help\fr
Source : interf\scicos\help\fr\htm\*.htm; DestDir: {app}\interf\scicos\help\fr\htm; Components: scicos\help\fr

;;;;;;;;;;;;;
;;Nsp;;
;;;;;;;;;;;;;
Source : interf\nsp\help\*.*; DestDir: {app}\interf\nsp\help; Flags: recursesubdirs; Components: nsp\help

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; demos files

;;;;;;;;;;
;;Scicos;;
;;;;;;;;;;
Source : interf\scicos\examples\*.*; DestDir: {app}\interf\scicos\examples; Flags: recursesubdirs; Components: scicos\diagr
;Source : interf\scicos\demos\*.dem; DestDir: {app}\interf\scicos\demos; Components: scicos\diagr

;;;;;;;;;;;;;
;;Nsp;;
;;;;;;;;;;;;;
Source : interf\nsp\demos\*.*; DestDir: {app}\interf\nsp\demos; Components: nsp\ex
